GNU logs - #14601, boring messages


Message sent to bug-automake@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#14601: Check failed, why?
Resent-From: Elio Blanca <eblanca76@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-automake@HIDDEN
Resent-Date: Wed, 12 Jun 2013 15:45:02 +0000
Resent-Message-ID: <handler.14601.B.137105187712550 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 14601
X-GNU-PR-Package: automake
X-GNU-PR-Keywords: 
To: 14601 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-automake@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.137105187712550
          (code B ref -1); Wed, 12 Jun 2013 15:45:02 +0000
Received: (at submit) by debbugs.gnu.org; 12 Jun 2013 15:44:37 +0000
Received: from localhost ([127.0.0.1]:59035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UmnDx-0003GK-8N
	for submit <at> debbugs.gnu.org; Wed, 12 Jun 2013 11:44:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54826)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eblanca76@HIDDEN>) id 1UmhL0-0008KW-9u
 for submit <at> debbugs.gnu.org; Wed, 12 Jun 2013 05:27:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eblanca76@HIDDEN>) id 1UmhKs-0000lg-Jk
 for submit <at> debbugs.gnu.org; Wed, 12 Jun 2013 05:27:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35919)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eblanca76@HIDDEN>) id 1UmhKs-0000la-BU
 for submit <at> debbugs.gnu.org; Wed, 12 Jun 2013 05:27:22 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56514)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eblanca76@HIDDEN>) id 1UmhKp-0006Dy-0B
 for bug-automake@HIDDEN; Wed, 12 Jun 2013 05:27:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eblanca76@HIDDEN>) id 1UmhKl-0000j6-7z
 for bug-automake@HIDDEN; Wed, 12 Jun 2013 05:27:18 -0400
Received: from nm25-vm2.bullet.mail.ird.yahoo.com ([212.82.109.203]:37461)
 by eggs.gnu.org with smtp (Exim 4.71)
 (envelope-from <eblanca76@HIDDEN>) id 1UmhKk-0000gv-95
 for bug-automake@HIDDEN; Wed, 12 Jun 2013 05:27:15 -0400
Received: from [77.238.189.232] by nm25.bullet.mail.ird.yahoo.com with NNFMP;
 12 Jun 2013 09:27:07 -0000
Received: from [46.228.39.101] by tm13.bullet.mail.ird.yahoo.com with NNFMP;
 12 Jun 2013 09:27:07 -0000
Received: from [127.0.0.1] by smtp138.mail.ir2.yahoo.com with NNFMP;
 12 Jun 2013 09:27:07 -0000
X-Yahoo-Newman-Id: 940195.69665.bm@HIDDEN
X-Yahoo-Newman-Property: ymail-3
X-YMail-OSG: b9sje5gVM1nriYnIwMuE0_Dwe4M6B6Eis_Fl_1MgNSzDAvs
 Yi78D7a9866_0pRedBftc4VoyIub4As3EKbrVQrqmTWg_Ts11ySPNZpIVtFW
 HXQfeWw9aSVnxbikRaoR9evGVjDt4JuweVm9BH3Tl70Lg.yCCdAqXn48FSxx
 6TlV..RJNx0h0XyOwbQphq59aHGAIUeeSRuudrvunEK7isXbMVy3Z.5V8v_8
 xjxgziTyYL.X._TPxlIjTV126TlPgy.BPH8dSfFCclkL6tOLCWxcPrPll_PA
 yAxqBSriIjYI5b0IdRM58S2w9z8pWwaNLcFGcchNJ19M8o6nZDDBAPjsMx8D
 6i3PQbRhJjpuCX_TOm4Wx4EJjdlAknjvBd2oOLIIjQAyX3Ll6IdbK6CE88Tb
 ycoUbz3SmzEiRRyfUeKPREvzo7qOjNXZOzvcFGVLpN4FaBBr3X_IzXjuf0.5
 wvBeCJAwE5a_WYXj4_wegZnOapz2FBA--
X-Yahoo-SMTP: mstLmsGswBD.Nv1KdbNXurdQNUIVU0I-
X-Rocket-Received: from [192.168.1.100] (eblanca76@HIDDEN with )
 by smtp138.mail.ir2.yahoo.com with SMTP; 12 Jun 2013 09:27:07 +0000 UTC
Message-ID: <51B83EE9.1010700@HIDDEN>
Date: Wed, 12 Jun 2013 11:27:05 +0200
From: Elio Blanca <eblanca76@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686;
 rv:17.0) Gecko/20130510 Thunderbird/17.0.6
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------020408030007090203060107"
X-detected-operating-system: by eggs.gnu.org: FreeBSD 8.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Mailman-Approved-At: Wed, 12 Jun 2013 11:44:36 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.
--------------020408030007090203060107
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit


Hi, I just built automake 1.13.3 on my ubuntu system (precise pangolin 12.04.2, gcc-4.6.3, 
binutils-2.22, bash-4.2.25) and the test suite failed 3 tests.
At the end of `make check' I am told for reporting the results to you, so I'm doing this.

============================================================================
Testsuite summary for GNU Automake 1.13.3
============================================================================
# TOTAL: 2933
# PASS:  2815
# SKIP:  77
# XFAIL: 38
# FAIL:  3
# XPASS: 0
# ERROR: 0
============================================================================
See ./test-suite.log
Please report to bug-automake@HIDDEN
============================================================================

If you need further details, feel free to ask.
Thank you
Elio


--------------020408030007090203060107
Content-Type: application/x-bzip;
 name="test-suite.log.bz2"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="test-suite.log.bz2"
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--------------020408030007090203060107--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.503 (Entity 5.503)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Elio Blanca <eblanca76@HIDDEN>
Subject: bug#14601: Acknowledgement (Check failed, why?)
Message-ID: <handler.14601.B.137105187712550.ack <at> debbugs.gnu.org>
References: <51B83EE9.1010700@HIDDEN>
X-Gnu-PR-Message: ack 14601
X-Gnu-PR-Package: automake
Reply-To: 14601 <at> debbugs.gnu.org
Date: Wed, 12 Jun 2013 15:45:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-automake@HIDDEN

If you wish to submit further information on this problem, please
send it to 14601 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
14601: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D14601
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-automake@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#14601: Check failed, why?
References: <51B83EE9.1010700@HIDDEN>
In-Reply-To: <51B83EE9.1010700@HIDDEN>
Resent-From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-automake@HIDDEN
Resent-Date: Mon, 23 Dec 2013 19:04:01 +0000
Resent-Message-ID: <handler.14601.B14601.13878253977379 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 14601
X-GNU-PR-Package: automake
X-GNU-PR-Keywords: 
To: 14601 <at> debbugs.gnu.org
Cc: Elio Blanca <eblanca76@HIDDEN>, "automake-patches@HIDDEN" <automake-patches@HIDDEN>
Received: via spool by 14601-submit <at> debbugs.gnu.org id=B14601.13878253977379
          (code B ref 14601); Mon, 23 Dec 2013 19:04:01 +0000
Received: (at 14601) by debbugs.gnu.org; 23 Dec 2013 19:03:17 +0000
Received: from localhost ([127.0.0.1]:36394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvAma-0001uv-L6
	for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 14:03:17 -0500
Received: from mail-ea0-f179.google.com ([209.85.215.179]:48923)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stefano.lattarini@HIDDEN>)
 id 1VvAmX-0001uj-Po; Mon, 23 Dec 2013 14:03:14 -0500
Received: by mail-ea0-f179.google.com with SMTP id r15so2541400ead.10
 for <multiple recipients>; Mon, 23 Dec 2013 11:03:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:mime-version:to:cc:subject:content-type;
 bh=faZGp5gu+P2OABqjUfdFv8DVnPi79g1p3tHV6+YbbEg=;
 b=Y1cGRjS2YjRL4UBKTlsk/CkzFLxBIWM7oWaSABP1gcHM0SKuMWT6l3GdRMecY5w99i
 c97+RiX08VnA+rWcJ1eeXPSIXoatPSYFbg7X1R2o/UxhK0fRWZkyjBvDGVYb2gKW7a+U
 0NQmyAdwr79dCcM4FmqWr22wbD8ixUWfN+diLdrSpfHrdgGbvR8cx+B/2wm166VAEVA4
 zqmniQ2r3m/akQ/cEHdad4QcPJYPvmuVP649GE5lS/WMiBL3Owf+AfYrsXSQaCZGckmq
 0l/6kWafdKRm6iyvCQuRHWvHzD5KOd3PlqMZ+kPBJl6QSOzGqoEbmTwNPcezw4qM//y+
 TymQ==
X-Received: by 10.15.63.134 with SMTP id m6mr2003748eex.74.1387825392883;
 Mon, 23 Dec 2013 11:03:12 -0800 (PST)
Received: from [192.168.0.101]
 (host143-4-dynamic.5-87-r.retail.telecomitalia.it. [87.5.4.143])
 by mx.google.com with ESMTPSA id v7sm48181112eel.2.2013.12.23.11.03.10
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Mon, 23 Dec 2013 11:03:11 -0800 (PST)
Message-ID: <52B888DD.6080607@HIDDEN>
Date: Mon, 23 Dec 2013 20:02:53 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------070901080608060402040800"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format.
--------------070901080608060402040800
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

tags 14601 + moreinfo
severity 14601 minor
stop

Reference:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14601

Hi Elio, thanks for the report and sorry for the awful delay.

I've fixed two of the failures you reported:

* t/autohdr-subdir-pr12495.sh
  This failure was due to localization issues in make error messages;
  it has already been fixed as part of bug#15237.

* t/t/tap-realtime.sh
  This I can reproduce when mawk is used as the awk implementation
  invoked by the tap-driver.sh script.  Still this is a spurious
  failure, because when I force mawk to be used by Automake's own
  test suite, the driver correctly starts printing partial results
  from TAP tests way before the tests have completed their execution
  -- a failure to do so is exactly the issue this test is supposed
  to spot.  I'm now convinced this test is too brittle, and not
  worth having, I've removed it with the first attached patch.

For the failure of install-info-dir.sh, however, I'm a bit at a
loss. For the moment, I've tweaked the tests to make it output
more information that can be useful for debugging (see the second
attached patch).  Could you please re-run the test with these
tweaks, and get back to us with the complete output?

Thanks,
  Stefano


--------------070901080608060402040800
Content-Type: text/x-patch;
 name="0001-tests-remove-too-brittle-test-tap-realtime.sh.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-tests-remove-too-brittle-test-tap-realtime.sh.patch"

From 9d9aa6d158d85c1c95aed63fd5633977f29d668f Mon Sep 17 00:00:00 2001
Message-Id: <9d9aa6d158d85c1c95aed63fd5633977f29d668f.1387825350.git.stefano.lattarini@HIDDEN>
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Date: Mon, 23 Dec 2013 19:12:09 +0100
Subject: [PATCH 1/2] tests: remove too-brittle test tap-realtime.sh

* t/tap-realtime.sh: Delete.  It has always been brittle, but now
it's also causing spurious failures when mawk is used as the awk
implementation in tap-driver.sh (see bug#14601).
* t/list-of-tests.mk: Adjust.

Signed-off-by: Stefano Lattarini <stefano.lattarini@HIDDEN>
---
 t/list-of-tests.mk |   1 -
 t/tap-realtime.sh  | 127 -----------------------------------------------------
 2 files changed, 128 deletions(-)
 delete mode 100644 t/tap-realtime.sh

diff --git a/t/list-of-tests.mk b/t/list-of-tests.mk
index 75f303a..462497e 100644
--- a/t/list-of-tests.mk
+++ b/t/list-of-tests.mk
@@ -1149,7 +1149,6 @@ t/tap-planskip-whitespace.sh \
 t/tap-planskip-badexit.sh \
 t/tap-planskip-bailout.sh \
 t/tap-planskip-later-errors.sh \
-t/tap-realtime.sh \
 t/tap-test-number-0.sh \
 t/tap-recheck-logs.sh \
 t/tap-result-comment.sh \
diff --git a/t/tap-realtime.sh b/t/tap-realtime.sh
deleted file mode 100644
index e9b2b0c..0000000
--- a/t/tap-realtime.sh
+++ /dev/null
@@ -1,127 +0,0 @@
-#! /bin/sh
-# Copyright (C) 2011-2013 Free Software Foundation, Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
-# TAP support:
-#  - testsuite progress on console should happen mostly "in real time";
-#    i.e., it's not acceptable for the driver to wait the end of the
-#    script to start displaying results from it.
-# FIXME: this test uses expect(1) to ensure line buffering from make and
-# children, and is pretty hacky and complex; is there a better way to
-# accomplish the checks done here?
-
-. test-init.sh
-
-cat >expect-check <<'END'
-eval spawn $env(SHELL) -c ":"
-expect eof
-END
-expect -f expect-check || {
-    echo "$me: failed to find a working expect program" >&2
-    exit 77
-}
-rm -f expect-check
-
-# Unfortunately, some make implementations (among them, FreeBSD make,
-# NetBSD make, and Solaris Distributed make), when run in parallel mode,
-# serialize the output from their targets' recipes unconditionally.  In
-# such a situation, there's no way the partial results of a TAP test can
-# be displayed until the test has terminated.  And this is not something
-# our TAP driver script can work around; in fact, the driver *is* sending
-# out its output progressively and "in sync" with test execution -- it is
-# make that is stowing such output away instead of presenting it to the
-# user as soon as it gets it.
-if ! using_gmake; then
-  case $MAKE in
-    *\ -j*) skip_ "doesn't work with non-GNU concurrent make";;
-  esac
-  # Prevent Sun Distributed Make from trying to run in parallel.
-  DMAKE_MODE=serial; export DMAKE_MODE
-fi
-
-cat > Makefile.am << 'END'
-TESTS = all.test
-AM_COLOR_TESTS= no
-END
-
-. tap-setup.sh
-
-cat > all.test <<'END'
-#! /bin/sh
-echo 1..3
-
-# Creative quoting to placate maintainer-check.
-sleep="sleep "3
-
-# The awk+shell implementation of the TAP driver must "read ahead" of one
-# line in order to catch the exit status of the test script it runs.  So
-# be sure to echo one "dummy" line after each result line in order not to
-# cause false positives.
-
-echo ok 1 - foo
-echo DUMMY
-$sleep
-test -f ok-1 || { echo 'Bail out!'; exit 1; }
-
-echo ok 2 - bar
-echo DUMMY
-$sleep
-test -f ok-2 || { echo 'Bail out!'; exit 1; }
-
-echo ok 3 - baz
-echo DUMMY
-$sleep
-test -f ok-3 || { echo 'Bail out!'; exit 1; }
-
-: > all-is-well
-END
-
-chmod a+x all.test
-
-cat > expect-make <<'END'
-eval spawn $env(MAKE) check
-expect {
-  "PASS: all.test 1 - foo" {
-    open "ok-1" "w"
-    exp_continue
-  }
-  "PASS: all.test 2 - bar" {
-    open "ok-2" "w"
-    exp_continue
-  }
-  "PASS: all.test 3 - baz" {
-    open "ok-3" "w"
-    exp_continue
-  }
-  "Testsuite summary" {
-    exit 0
-  }
-  timeout {
-    puts "expect timed out"
-    exit 1
-  }
-  default {
-    puts "expect error"
-    exit 1
-  }
-}
-END
-
-# Expect should simulate a tty as stdout, which should ensure a
-# line-buffered output.
-MAKE=$MAKE expect -f expect-make
-test -f all-is-well
-
-:
-- 
1.8.5.rc0.23.gaa27064


--------------070901080608060402040800
Content-Type: text/x-patch;
 name="0002-tests-make-install-info-dir.sh-print-more-debugging-.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="0002-tests-make-install-info-dir.sh-print-more-debugging-.pa";
 filename*1="tch"

From 20bcc91242f89bc7c14385209be19a9336bf7471 Mon Sep 17 00:00:00 2001
Message-Id: <20bcc91242f89bc7c14385209be19a9336bf7471.1387825350.git.stefano.lattarini@HIDDEN>
In-Reply-To: <9d9aa6d158d85c1c95aed63fd5633977f29d668f.1387825350.git.stefano.lattarini@HIDDEN>
References: <9d9aa6d158d85c1c95aed63fd5633977f29d668f.1387825350.git.stefano.lattarini@HIDDEN>
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Date: Mon, 23 Dec 2013 19:56:55 +0100
Subject: [PATCH 2/2] tests: make install-info-dir.sh print more debugging info

With the hope that this will shed more light on bug#14601

Signed-off-by: Stefano Lattarini <stefano.lattarini@HIDDEN>
---
 t/install-info-dir.sh | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/t/install-info-dir.sh b/t/install-info-dir.sh
index b16824f..46a70b9 100644
--- a/t/install-info-dir.sh
+++ b/t/install-info-dir.sh
@@ -87,18 +87,19 @@ if test $have_installinfo = yes; then
 
   $MAKE install-info
   test -f $instdir/info/foo.info
-  test -f $instdir/info/dir
+  cat $instdir/info/dir
   $FGREP 'Does nothing at all, but has a nice name' $instdir/info/dir
 
   $MAKE uninstall
   test ! -e $instdir/info/foo.info
+  cat $instdir/info/dir
   $FGREP 'but has a nice name' $instdir/info/dir && exit 1
 
   dir="$destdir/$cwd/$instdir/info"
 
   $MAKE DESTDIR="$cwd/$destdir" install-info
   test -f "$dir"/foo.info
-  test -f "$dir"/dir
+  cat "$dir"/dir
   $FGREP 'Does nothing at all, but has a nice name' "$dir"/dir
   $MAKE DESTDIR="$cwd/$destdir" uninstall
   test ! -e "$dir"/foo.info
@@ -141,10 +142,10 @@ if test $have_installinfo = yes; then
 END
   $MAKE install-info
   test -f $instdir/info/foo.info
-  test -f $instdir/info/dir
+  cat $instdir/info/dir
   $MAKE uninstall
   test ! -e $instdir/info/foo.info
-  test -f $instdir/info/dir
+  cat $instdir/info/dir
   $FGREP 'but has a nice name' $instdir/info/dir && exit 1
   : For shells with busted 'set -e'.
 fi
@@ -169,6 +170,7 @@ fi
 chmod a-w $instdir/info/dir
 for val in no NO n; do
   env AM_UPDATE_INFO_DIR="$val" $MAKE uninstall
+  cat $instdir/info/dir
   $FGREP 'Does nothing at all, but has a nice name' $instdir/info/dir
 done
 
@@ -177,7 +179,7 @@ if test $have_installinfo = yes; then
     rm -rf $instdir
     env AM_UPDATE_INFO_DIR="$val" $MAKE install-info
     test -f $instdir/info/foo.info
-    test -f $instdir/info/dir
+    cat $instdir/info/dir
     env AM_UPDATE_INFO_DIR="$val" $MAKE uninstall
     test ! -e $instdir/info/foo.info
     $FGREP 'but has a nice name' $instdir/info/dir && exit 1
-- 
1.8.5.rc0.23.gaa27064


--------------070901080608060402040800--




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 23 Dec 2013 19:03:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 23 14:03:19 2013
Received: from localhost ([127.0.0.1]:36396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvAmb-0001uy-NX
	for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 14:03:18 -0500
Received: from mail-ea0-f179.google.com ([209.85.215.179]:48923)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stefano.lattarini@HIDDEN>)
 id 1VvAmX-0001uj-Po; Mon, 23 Dec 2013 14:03:14 -0500
Received: by mail-ea0-f179.google.com with SMTP id r15so2541400ead.10
 for <multiple recipients>; Mon, 23 Dec 2013 11:03:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:mime-version:to:cc:subject:content-type;
 bh=faZGp5gu+P2OABqjUfdFv8DVnPi79g1p3tHV6+YbbEg=;
 b=Y1cGRjS2YjRL4UBKTlsk/CkzFLxBIWM7oWaSABP1gcHM0SKuMWT6l3GdRMecY5w99i
 c97+RiX08VnA+rWcJ1eeXPSIXoatPSYFbg7X1R2o/UxhK0fRWZkyjBvDGVYb2gKW7a+U
 0NQmyAdwr79dCcM4FmqWr22wbD8ixUWfN+diLdrSpfHrdgGbvR8cx+B/2wm166VAEVA4
 zqmniQ2r3m/akQ/cEHdad4QcPJYPvmuVP649GE5lS/WMiBL3Owf+AfYrsXSQaCZGckmq
 0l/6kWafdKRm6iyvCQuRHWvHzD5KOd3PlqMZ+kPBJl6QSOzGqoEbmTwNPcezw4qM//y+
 TymQ==
X-Received: by 10.15.63.134 with SMTP id m6mr2003748eex.74.1387825392883;
 Mon, 23 Dec 2013 11:03:12 -0800 (PST)
Received: from [192.168.0.101]
 (host143-4-dynamic.5-87-r.retail.telecomitalia.it. [87.5.4.143])
 by mx.google.com with ESMTPSA id v7sm48181112eel.2.2013.12.23.11.03.10
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Mon, 23 Dec 2013 11:03:11 -0800 (PST)
Message-ID: <52B888DD.6080607@HIDDEN>
Date: Mon, 23 Dec 2013 20:02:53 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: 14601 <at> debbugs.gnu.org
Subject: Re: Check failed, why?
Content-Type: multipart/mixed; boundary="------------070901080608060402040800"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: control
Cc: Elio Blanca <eblanca76@HIDDEN>,
 "automake-patches@HIDDEN" <automake-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format.
--------------070901080608060402040800
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

tags 14601 + moreinfo
severity 14601 minor
stop

Reference:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14601

Hi Elio, thanks for the report and sorry for the awful delay.

I've fixed two of the failures you reported:

* t/autohdr-subdir-pr12495.sh
  This failure was due to localization issues in make error messages;
  it has already been fixed as part of bug#15237.

* t/t/tap-realtime.sh
  This I can reproduce when mawk is used as the awk implementation
  invoked by the tap-driver.sh script.  Still this is a spurious
  failure, because when I force mawk to be used by Automake's own
  test suite, the driver correctly starts printing partial results
  from TAP tests way before the tests have completed their execution
  -- a failure to do so is exactly the issue this test is supposed
  to spot.  I'm now convinced this test is too brittle, and not
  worth having, I've removed it with the first attached patch.

For the failure of install-info-dir.sh, however, I'm a bit at a
loss. For the moment, I've tweaked the tests to make it output
more information that can be useful for debugging (see the second
attached patch).  Could you please re-run the test with these
tweaks, and get back to us with the complete output?

Thanks,
  Stefano


--------------070901080608060402040800
Content-Type: text/x-patch;
 name="0001-tests-remove-too-brittle-test-tap-realtime.sh.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-tests-remove-too-brittle-test-tap-realtime.sh.patch"

From 9d9aa6d158d85c1c95aed63fd5633977f29d668f Mon Sep 17 00:00:00 2001
Message-Id: <9d9aa6d158d85c1c95aed63fd5633977f29d668f.1387825350.git.stefano.lattarini@HIDDEN>
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Date: Mon, 23 Dec 2013 19:12:09 +0100
Subject: [PATCH 1/2] tests: remove too-brittle test tap-realtime.sh

* t/tap-realtime.sh: Delete.  It has always been brittle, but now
it's also causing spurious failures when mawk is used as the awk
implementation in tap-driver.sh (see bug#14601).
* t/list-of-tests.mk: Adjust.

Signed-off-by: Stefano Lattarini <stefano.lattarini@HIDDEN>
---
 t/list-of-tests.mk |   1 -
 t/tap-realtime.sh  | 127 -----------------------------------------------------
 2 files changed, 128 deletions(-)
 delete mode 100644 t/tap-realtime.sh

diff --git a/t/list-of-tests.mk b/t/list-of-tests.mk
index 75f303a..462497e 100644
--- a/t/list-of-tests.mk
+++ b/t/list-of-tests.mk
@@ -1149,7 +1149,6 @@ t/tap-planskip-whitespace.sh \
 t/tap-planskip-badexit.sh \
 t/tap-planskip-bailout.sh \
 t/tap-planskip-later-errors.sh \
-t/tap-realtime.sh \
 t/tap-test-number-0.sh \
 t/tap-recheck-logs.sh \
 t/tap-result-comment.sh \
diff --git a/t/tap-realtime.sh b/t/tap-realtime.sh
deleted file mode 100644
index e9b2b0c..0000000
--- a/t/tap-realtime.sh
+++ /dev/null
@@ -1,127 +0,0 @@
-#! /bin/sh
-# Copyright (C) 2011-2013 Free Software Foundation, Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
-# TAP support:
-#  - testsuite progress on console should happen mostly "in real time";
-#    i.e., it's not acceptable for the driver to wait the end of the
-#    script to start displaying results from it.
-# FIXME: this test uses expect(1) to ensure line buffering from make and
-# children, and is pretty hacky and complex; is there a better way to
-# accomplish the checks done here?
-
-. test-init.sh
-
-cat >expect-check <<'END'
-eval spawn $env(SHELL) -c ":"
-expect eof
-END
-expect -f expect-check || {
-    echo "$me: failed to find a working expect program" >&2
-    exit 77
-}
-rm -f expect-check
-
-# Unfortunately, some make implementations (among them, FreeBSD make,
-# NetBSD make, and Solaris Distributed make), when run in parallel mode,
-# serialize the output from their targets' recipes unconditionally.  In
-# such a situation, there's no way the partial results of a TAP test can
-# be displayed until the test has terminated.  And this is not something
-# our TAP driver script can work around; in fact, the driver *is* sending
-# out its output progressively and "in sync" with test execution -- it is
-# make that is stowing such output away instead of presenting it to the
-# user as soon as it gets it.
-if ! using_gmake; then
-  case $MAKE in
-    *\ -j*) skip_ "doesn't work with non-GNU concurrent make";;
-  esac
-  # Prevent Sun Distributed Make from trying to run in parallel.
-  DMAKE_MODE=serial; export DMAKE_MODE
-fi
-
-cat > Makefile.am << 'END'
-TESTS = all.test
-AM_COLOR_TESTS= no
-END
-
-. tap-setup.sh
-
-cat > all.test <<'END'
-#! /bin/sh
-echo 1..3
-
-# Creative quoting to placate maintainer-check.
-sleep="sleep "3
-
-# The awk+shell implementation of the TAP driver must "read ahead" of one
-# line in order to catch the exit status of the test script it runs.  So
-# be sure to echo one "dummy" line after each result line in order not to
-# cause false positives.
-
-echo ok 1 - foo
-echo DUMMY
-$sleep
-test -f ok-1 || { echo 'Bail out!'; exit 1; }
-
-echo ok 2 - bar
-echo DUMMY
-$sleep
-test -f ok-2 || { echo 'Bail out!'; exit 1; }
-
-echo ok 3 - baz
-echo DUMMY
-$sleep
-test -f ok-3 || { echo 'Bail out!'; exit 1; }
-
-: > all-is-well
-END
-
-chmod a+x all.test
-
-cat > expect-make <<'END'
-eval spawn $env(MAKE) check
-expect {
-  "PASS: all.test 1 - foo" {
-    open "ok-1" "w"
-    exp_continue
-  }
-  "PASS: all.test 2 - bar" {
-    open "ok-2" "w"
-    exp_continue
-  }
-  "PASS: all.test 3 - baz" {
-    open "ok-3" "w"
-    exp_continue
-  }
-  "Testsuite summary" {
-    exit 0
-  }
-  timeout {
-    puts "expect timed out"
-    exit 1
-  }
-  default {
-    puts "expect error"
-    exit 1
-  }
-}
-END
-
-# Expect should simulate a tty as stdout, which should ensure a
-# line-buffered output.
-MAKE=$MAKE expect -f expect-make
-test -f all-is-well
-
-:
-- 
1.8.5.rc0.23.gaa27064


--------------070901080608060402040800
Content-Type: text/x-patch;
 name="0002-tests-make-install-info-dir.sh-print-more-debugging-.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="0002-tests-make-install-info-dir.sh-print-more-debugging-.pa";
 filename*1="tch"

From 20bcc91242f89bc7c14385209be19a9336bf7471 Mon Sep 17 00:00:00 2001
Message-Id: <20bcc91242f89bc7c14385209be19a9336bf7471.1387825350.git.stefano.lattarini@HIDDEN>
In-Reply-To: <9d9aa6d158d85c1c95aed63fd5633977f29d668f.1387825350.git.stefano.lattarini@HIDDEN>
References: <9d9aa6d158d85c1c95aed63fd5633977f29d668f.1387825350.git.stefano.lattarini@HIDDEN>
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Date: Mon, 23 Dec 2013 19:56:55 +0100
Subject: [PATCH 2/2] tests: make install-info-dir.sh print more debugging info

With the hope that this will shed more light on bug#14601

Signed-off-by: Stefano Lattarini <stefano.lattarini@HIDDEN>
---
 t/install-info-dir.sh | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/t/install-info-dir.sh b/t/install-info-dir.sh
index b16824f..46a70b9 100644
--- a/t/install-info-dir.sh
+++ b/t/install-info-dir.sh
@@ -87,18 +87,19 @@ if test $have_installinfo = yes; then
 
   $MAKE install-info
   test -f $instdir/info/foo.info
-  test -f $instdir/info/dir
+  cat $instdir/info/dir
   $FGREP 'Does nothing at all, but has a nice name' $instdir/info/dir
 
   $MAKE uninstall
   test ! -e $instdir/info/foo.info
+  cat $instdir/info/dir
   $FGREP 'but has a nice name' $instdir/info/dir && exit 1
 
   dir="$destdir/$cwd/$instdir/info"
 
   $MAKE DESTDIR="$cwd/$destdir" install-info
   test -f "$dir"/foo.info
-  test -f "$dir"/dir
+  cat "$dir"/dir
   $FGREP 'Does nothing at all, but has a nice name' "$dir"/dir
   $MAKE DESTDIR="$cwd/$destdir" uninstall
   test ! -e "$dir"/foo.info
@@ -141,10 +142,10 @@ if test $have_installinfo = yes; then
 END
   $MAKE install-info
   test -f $instdir/info/foo.info
-  test -f $instdir/info/dir
+  cat $instdir/info/dir
   $MAKE uninstall
   test ! -e $instdir/info/foo.info
-  test -f $instdir/info/dir
+  cat $instdir/info/dir
   $FGREP 'but has a nice name' $instdir/info/dir && exit 1
   : For shells with busted 'set -e'.
 fi
@@ -169,6 +170,7 @@ fi
 chmod a-w $instdir/info/dir
 for val in no NO n; do
   env AM_UPDATE_INFO_DIR="$val" $MAKE uninstall
+  cat $instdir/info/dir
   $FGREP 'Does nothing at all, but has a nice name' $instdir/info/dir
 done
 
@@ -177,7 +179,7 @@ if test $have_installinfo = yes; then
     rm -rf $instdir
     env AM_UPDATE_INFO_DIR="$val" $MAKE install-info
     test -f $instdir/info/foo.info
-    test -f $instdir/info/dir
+    cat $instdir/info/dir
     env AM_UPDATE_INFO_DIR="$val" $MAKE uninstall
     test ! -e $instdir/info/foo.info
     $FGREP 'but has a nice name' $instdir/info/dir && exit 1
-- 
1.8.5.rc0.23.gaa27064


--------------070901080608060402040800--




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 23 Dec 2013 19:03:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 23 14:03:19 2013
Received: from localhost ([127.0.0.1]:36396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvAmb-0001uy-NX
	for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 14:03:18 -0500
Received: from mail-ea0-f179.google.com ([209.85.215.179]:48923)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stefano.lattarini@HIDDEN>)
 id 1VvAmX-0001uj-Po; Mon, 23 Dec 2013 14:03:14 -0500
Received: by mail-ea0-f179.google.com with SMTP id r15so2541400ead.10
 for <multiple recipients>; Mon, 23 Dec 2013 11:03:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:mime-version:to:cc:subject:content-type;
 bh=faZGp5gu+P2OABqjUfdFv8DVnPi79g1p3tHV6+YbbEg=;
 b=Y1cGRjS2YjRL4UBKTlsk/CkzFLxBIWM7oWaSABP1gcHM0SKuMWT6l3GdRMecY5w99i
 c97+RiX08VnA+rWcJ1eeXPSIXoatPSYFbg7X1R2o/UxhK0fRWZkyjBvDGVYb2gKW7a+U
 0NQmyAdwr79dCcM4FmqWr22wbD8ixUWfN+diLdrSpfHrdgGbvR8cx+B/2wm166VAEVA4
 zqmniQ2r3m/akQ/cEHdad4QcPJYPvmuVP649GE5lS/WMiBL3Owf+AfYrsXSQaCZGckmq
 0l/6kWafdKRm6iyvCQuRHWvHzD5KOd3PlqMZ+kPBJl6QSOzGqoEbmTwNPcezw4qM//y+
 TymQ==
X-Received: by 10.15.63.134 with SMTP id m6mr2003748eex.74.1387825392883;
 Mon, 23 Dec 2013 11:03:12 -0800 (PST)
Received: from [192.168.0.101]
 (host143-4-dynamic.5-87-r.retail.telecomitalia.it. [87.5.4.143])
 by mx.google.com with ESMTPSA id v7sm48181112eel.2.2013.12.23.11.03.10
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Mon, 23 Dec 2013 11:03:11 -0800 (PST)
Message-ID: <52B888DD.6080607@HIDDEN>
Date: Mon, 23 Dec 2013 20:02:53 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: 14601 <at> debbugs.gnu.org
Subject: Re: Check failed, why?
Content-Type: multipart/mixed; boundary="------------070901080608060402040800"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: control
Cc: Elio Blanca <eblanca76@HIDDEN>,
 "automake-patches@HIDDEN" <automake-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format.
--------------070901080608060402040800
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

tags 14601 + moreinfo
severity 14601 minor
stop

Reference:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14601

Hi Elio, thanks for the report and sorry for the awful delay.

I've fixed two of the failures you reported:

* t/autohdr-subdir-pr12495.sh
  This failure was due to localization issues in make error messages;
  it has already been fixed as part of bug#15237.

* t/t/tap-realtime.sh
  This I can reproduce when mawk is used as the awk implementation
  invoked by the tap-driver.sh script.  Still this is a spurious
  failure, because when I force mawk to be used by Automake's own
  test suite, the driver correctly starts printing partial results
  from TAP tests way before the tests have completed their execution
  -- a failure to do so is exactly the issue this test is supposed
  to spot.  I'm now convinced this test is too brittle, and not
  worth having, I've removed it with the first attached patch.

For the failure of install-info-dir.sh, however, I'm a bit at a
loss. For the moment, I've tweaked the tests to make it output
more information that can be useful for debugging (see the second
attached patch).  Could you please re-run the test with these
tweaks, and get back to us with the complete output?

Thanks,
  Stefano


--------------070901080608060402040800
Content-Type: text/x-patch;
 name="0001-tests-remove-too-brittle-test-tap-realtime.sh.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-tests-remove-too-brittle-test-tap-realtime.sh.patch"

From 9d9aa6d158d85c1c95aed63fd5633977f29d668f Mon Sep 17 00:00:00 2001
Message-Id: <9d9aa6d158d85c1c95aed63fd5633977f29d668f.1387825350.git.stefano.lattarini@HIDDEN>
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Date: Mon, 23 Dec 2013 19:12:09 +0100
Subject: [PATCH 1/2] tests: remove too-brittle test tap-realtime.sh

* t/tap-realtime.sh: Delete.  It has always been brittle, but now
it's also causing spurious failures when mawk is used as the awk
implementation in tap-driver.sh (see bug#14601).
* t/list-of-tests.mk: Adjust.

Signed-off-by: Stefano Lattarini <stefano.lattarini@HIDDEN>
---
 t/list-of-tests.mk |   1 -
 t/tap-realtime.sh  | 127 -----------------------------------------------------
 2 files changed, 128 deletions(-)
 delete mode 100644 t/tap-realtime.sh

diff --git a/t/list-of-tests.mk b/t/list-of-tests.mk
index 75f303a..462497e 100644
--- a/t/list-of-tests.mk
+++ b/t/list-of-tests.mk
@@ -1149,7 +1149,6 @@ t/tap-planskip-whitespace.sh \
 t/tap-planskip-badexit.sh \
 t/tap-planskip-bailout.sh \
 t/tap-planskip-later-errors.sh \
-t/tap-realtime.sh \
 t/tap-test-number-0.sh \
 t/tap-recheck-logs.sh \
 t/tap-result-comment.sh \
diff --git a/t/tap-realtime.sh b/t/tap-realtime.sh
deleted file mode 100644
index e9b2b0c..0000000
--- a/t/tap-realtime.sh
+++ /dev/null
@@ -1,127 +0,0 @@
-#! /bin/sh
-# Copyright (C) 2011-2013 Free Software Foundation, Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
-# TAP support:
-#  - testsuite progress on console should happen mostly "in real time";
-#    i.e., it's not acceptable for the driver to wait the end of the
-#    script to start displaying results from it.
-# FIXME: this test uses expect(1) to ensure line buffering from make and
-# children, and is pretty hacky and complex; is there a better way to
-# accomplish the checks done here?
-
-. test-init.sh
-
-cat >expect-check <<'END'
-eval spawn $env(SHELL) -c ":"
-expect eof
-END
-expect -f expect-check || {
-    echo "$me: failed to find a working expect program" >&2
-    exit 77
-}
-rm -f expect-check
-
-# Unfortunately, some make implementations (among them, FreeBSD make,
-# NetBSD make, and Solaris Distributed make), when run in parallel mode,
-# serialize the output from their targets' recipes unconditionally.  In
-# such a situation, there's no way the partial results of a TAP test can
-# be displayed until the test has terminated.  And this is not something
-# our TAP driver script can work around; in fact, the driver *is* sending
-# out its output progressively and "in sync" with test execution -- it is
-# make that is stowing such output away instead of presenting it to the
-# user as soon as it gets it.
-if ! using_gmake; then
-  case $MAKE in
-    *\ -j*) skip_ "doesn't work with non-GNU concurrent make";;
-  esac
-  # Prevent Sun Distributed Make from trying to run in parallel.
-  DMAKE_MODE=serial; export DMAKE_MODE
-fi
-
-cat > Makefile.am << 'END'
-TESTS = all.test
-AM_COLOR_TESTS= no
-END
-
-. tap-setup.sh
-
-cat > all.test <<'END'
-#! /bin/sh
-echo 1..3
-
-# Creative quoting to placate maintainer-check.
-sleep="sleep "3
-
-# The awk+shell implementation of the TAP driver must "read ahead" of one
-# line in order to catch the exit status of the test script it runs.  So
-# be sure to echo one "dummy" line after each result line in order not to
-# cause false positives.
-
-echo ok 1 - foo
-echo DUMMY
-$sleep
-test -f ok-1 || { echo 'Bail out!'; exit 1; }
-
-echo ok 2 - bar
-echo DUMMY
-$sleep
-test -f ok-2 || { echo 'Bail out!'; exit 1; }
-
-echo ok 3 - baz
-echo DUMMY
-$sleep
-test -f ok-3 || { echo 'Bail out!'; exit 1; }
-
-: > all-is-well
-END
-
-chmod a+x all.test
-
-cat > expect-make <<'END'
-eval spawn $env(MAKE) check
-expect {
-  "PASS: all.test 1 - foo" {
-    open "ok-1" "w"
-    exp_continue
-  }
-  "PASS: all.test 2 - bar" {
-    open "ok-2" "w"
-    exp_continue
-  }
-  "PASS: all.test 3 - baz" {
-    open "ok-3" "w"
-    exp_continue
-  }
-  "Testsuite summary" {
-    exit 0
-  }
-  timeout {
-    puts "expect timed out"
-    exit 1
-  }
-  default {
-    puts "expect error"
-    exit 1
-  }
-}
-END
-
-# Expect should simulate a tty as stdout, which should ensure a
-# line-buffered output.
-MAKE=$MAKE expect -f expect-make
-test -f all-is-well
-
-:
-- 
1.8.5.rc0.23.gaa27064


--------------070901080608060402040800
Content-Type: text/x-patch;
 name="0002-tests-make-install-info-dir.sh-print-more-debugging-.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="0002-tests-make-install-info-dir.sh-print-more-debugging-.pa";
 filename*1="tch"

From 20bcc91242f89bc7c14385209be19a9336bf7471 Mon Sep 17 00:00:00 2001
Message-Id: <20bcc91242f89bc7c14385209be19a9336bf7471.1387825350.git.stefano.lattarini@HIDDEN>
In-Reply-To: <9d9aa6d158d85c1c95aed63fd5633977f29d668f.1387825350.git.stefano.lattarini@HIDDEN>
References: <9d9aa6d158d85c1c95aed63fd5633977f29d668f.1387825350.git.stefano.lattarini@HIDDEN>
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Date: Mon, 23 Dec 2013 19:56:55 +0100
Subject: [PATCH 2/2] tests: make install-info-dir.sh print more debugging info

With the hope that this will shed more light on bug#14601

Signed-off-by: Stefano Lattarini <stefano.lattarini@HIDDEN>
---
 t/install-info-dir.sh | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/t/install-info-dir.sh b/t/install-info-dir.sh
index b16824f..46a70b9 100644
--- a/t/install-info-dir.sh
+++ b/t/install-info-dir.sh
@@ -87,18 +87,19 @@ if test $have_installinfo = yes; then
 
   $MAKE install-info
   test -f $instdir/info/foo.info
-  test -f $instdir/info/dir
+  cat $instdir/info/dir
   $FGREP 'Does nothing at all, but has a nice name' $instdir/info/dir
 
   $MAKE uninstall
   test ! -e $instdir/info/foo.info
+  cat $instdir/info/dir
   $FGREP 'but has a nice name' $instdir/info/dir && exit 1
 
   dir="$destdir/$cwd/$instdir/info"
 
   $MAKE DESTDIR="$cwd/$destdir" install-info
   test -f "$dir"/foo.info
-  test -f "$dir"/dir
+  cat "$dir"/dir
   $FGREP 'Does nothing at all, but has a nice name' "$dir"/dir
   $MAKE DESTDIR="$cwd/$destdir" uninstall
   test ! -e "$dir"/foo.info
@@ -141,10 +142,10 @@ if test $have_installinfo = yes; then
 END
   $MAKE install-info
   test -f $instdir/info/foo.info
-  test -f $instdir/info/dir
+  cat $instdir/info/dir
   $MAKE uninstall
   test ! -e $instdir/info/foo.info
-  test -f $instdir/info/dir
+  cat $instdir/info/dir
   $FGREP 'but has a nice name' $instdir/info/dir && exit 1
   : For shells with busted 'set -e'.
 fi
@@ -169,6 +170,7 @@ fi
 chmod a-w $instdir/info/dir
 for val in no NO n; do
   env AM_UPDATE_INFO_DIR="$val" $MAKE uninstall
+  cat $instdir/info/dir
   $FGREP 'Does nothing at all, but has a nice name' $instdir/info/dir
 done
 
@@ -177,7 +179,7 @@ if test $have_installinfo = yes; then
     rm -rf $instdir
     env AM_UPDATE_INFO_DIR="$val" $MAKE install-info
     test -f $instdir/info/foo.info
-    test -f $instdir/info/dir
+    cat $instdir/info/dir
     env AM_UPDATE_INFO_DIR="$val" $MAKE uninstall
     test ! -e $instdir/info/foo.info
     $FGREP 'but has a nice name' $instdir/info/dir && exit 1
-- 
1.8.5.rc0.23.gaa27064


--------------070901080608060402040800--




Message sent to bug-automake@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#14601: Unexplained failure in test 't/install-info-dir.sh'
Resent-From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-automake@HIDDEN
Resent-Date: Wed, 17 Dec 2014 17:27:02 +0000
Resent-Message-ID: <handler.14601.B14601.141883719119167 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 14601
X-GNU-PR-Package: automake
X-GNU-PR-Keywords: moreinfo
To: braga <Vittorio.Braga@HIDDEN>, 18998 <at> debbugs.gnu.org,  14601 <at> debbugs.gnu.org
Cc: Elio Blanca <eblanca76@HIDDEN>
Received: via spool by 14601-submit <at> debbugs.gnu.org id=B14601.141883719119167
          (code B ref 14601); Wed, 17 Dec 2014 17:27:02 +0000
Received: (at 14601) by debbugs.gnu.org; 17 Dec 2014 17:26:31 +0000
Received: from localhost ([127.0.0.1]:49148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y1IMp-0004yy-C4
	for submit <at> debbugs.gnu.org; Wed, 17 Dec 2014 12:26:31 -0500
Received: from mail-wi0-f173.google.com ([209.85.212.173]:38763)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stefano.lattarini@HIDDEN>)
 id 1Y1IMm-0004yf-UZ; Wed, 17 Dec 2014 12:26:29 -0500
Received: by mail-wi0-f173.google.com with SMTP id r20so16538600wiv.12;
 Wed, 17 Dec 2014 09:26:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:mime-version:to:cc:subject:references
 :in-reply-to:content-type:content-transfer-encoding;
 bh=jYGSAfSqoXSMtk7Ux95HuuBbZrCgflVJjIDR5hpa3u8=;
 b=CIxTpw2dviTBW0CKIejgOm79Bg7abGvK/P/nSuGYpMpV1HVsOiMuEJQYJrr/9/dhff
 QmaV9QGTFjGtUopeTownKLK47P8FtCeQ5rvmY++S267GO+flgHNpJsRbGXW0+aN+Ba8+
 1F9MBbfTMveixROnhR4FigFzLwrktD3jtK1WELWoVI3y7PYGqLezBUtlek2GcDu8gxk6
 LMGDn547PhTTi4yvIcvq6fiUTG4QxfWwx2aiQ09lgW9oL/stIKBElfCRKIkIDAn0v6fQ
 vEXABEtFI52a4h3PELo0usCg3vxlimyImjAW2uAzXV2iHJ/3WK3CQCvvcyPz6riF46J5
 OItA==
X-Received: by 10.194.201.137 with SMTP id ka9mr75823782wjc.66.1418837188123; 
 Wed, 17 Dec 2014 09:26:28 -0800 (PST)
Received: from [192.168.0.101]
 (host159-94-dynamic.7-79-r.retail.telecomitalia.it. [79.7.94.159])
 by mx.google.com with ESMTPSA id ck7sm5885002wjb.13.2014.12.17.09.26.25
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 17 Dec 2014 09:26:27 -0800 (PST)
Message-ID: <5491BCBF.3090302@HIDDEN>
Date: Wed, 17 Dec 2014 18:26:23 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
References: <2e5571b4863acd605727c5eb93a642c2@HIDDEN>
In-Reply-To: <2e5571b4863acd605727c5eb93a642c2@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

retitle 18998 Unexplained failure in test 't/install-info-dir.sh'
retitle 14601 Unexplained failure in test 't/install-info-dir.sh'
severity 14601 minor
severity 18998 minor
tags 14601 + moreinfo
tags 18998 + moreinfo
merge 14601 18998
stop

For the moment, I've tweaked the t/install-info-dir.sh test to make
it output more information that can be useful for debugging.  Could
you please re-run the test from the latest 'master' branch, see
whether it fails again (racily or reliably), and if so, get back to
us with the complete output?

Thanks,
   Stefano




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 17 Dec 2014 17:26:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 17 12:26:31 2014
Received: from localhost ([127.0.0.1]:49146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y1IMo-0004yv-PO
	for submit <at> debbugs.gnu.org; Wed, 17 Dec 2014 12:26:31 -0500
Received: from mail-wi0-f173.google.com ([209.85.212.173]:38763)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stefano.lattarini@HIDDEN>)
 id 1Y1IMm-0004yf-UZ; Wed, 17 Dec 2014 12:26:29 -0500
Received: by mail-wi0-f173.google.com with SMTP id r20so16538600wiv.12;
 Wed, 17 Dec 2014 09:26:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:mime-version:to:cc:subject:references
 :in-reply-to:content-type:content-transfer-encoding;
 bh=jYGSAfSqoXSMtk7Ux95HuuBbZrCgflVJjIDR5hpa3u8=;
 b=CIxTpw2dviTBW0CKIejgOm79Bg7abGvK/P/nSuGYpMpV1HVsOiMuEJQYJrr/9/dhff
 QmaV9QGTFjGtUopeTownKLK47P8FtCeQ5rvmY++S267GO+flgHNpJsRbGXW0+aN+Ba8+
 1F9MBbfTMveixROnhR4FigFzLwrktD3jtK1WELWoVI3y7PYGqLezBUtlek2GcDu8gxk6
 LMGDn547PhTTi4yvIcvq6fiUTG4QxfWwx2aiQ09lgW9oL/stIKBElfCRKIkIDAn0v6fQ
 vEXABEtFI52a4h3PELo0usCg3vxlimyImjAW2uAzXV2iHJ/3WK3CQCvvcyPz6riF46J5
 OItA==
X-Received: by 10.194.201.137 with SMTP id ka9mr75823782wjc.66.1418837188123; 
 Wed, 17 Dec 2014 09:26:28 -0800 (PST)
Received: from [192.168.0.101]
 (host159-94-dynamic.7-79-r.retail.telecomitalia.it. [79.7.94.159])
 by mx.google.com with ESMTPSA id ck7sm5885002wjb.13.2014.12.17.09.26.25
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 17 Dec 2014 09:26:27 -0800 (PST)
Message-ID: <5491BCBF.3090302@HIDDEN>
Date: Wed, 17 Dec 2014 18:26:23 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: braga <Vittorio.Braga@HIDDEN>, 18998 <at> debbugs.gnu.org, 
 14601 <at> debbugs.gnu.org
Subject: Unexplained failure in test 't/install-info-dir.sh'
References: <2e5571b4863acd605727c5eb93a642c2@HIDDEN>
In-Reply-To: <2e5571b4863acd605727c5eb93a642c2@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: control
Cc: Elio Blanca <eblanca76@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

retitle 18998 Unexplained failure in test 't/install-info-dir.sh'
retitle 14601 Unexplained failure in test 't/install-info-dir.sh'
severity 14601 minor
severity 18998 minor
tags 14601 + moreinfo
tags 18998 + moreinfo
merge 14601 18998
stop

For the moment, I've tweaked the t/install-info-dir.sh test to make
it output more information that can be useful for debugging.  Could
you please re-run the test from the latest 'master' branch, see
whether it fails again (racily or reliably), and if so, get back to
us with the complete output?

Thanks,
   Stefano




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 17 Dec 2014 17:26:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 17 12:26:31 2014
Received: from localhost ([127.0.0.1]:49146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y1IMo-0004yv-PO
	for submit <at> debbugs.gnu.org; Wed, 17 Dec 2014 12:26:31 -0500
Received: from mail-wi0-f173.google.com ([209.85.212.173]:38763)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stefano.lattarini@HIDDEN>)
 id 1Y1IMm-0004yf-UZ; Wed, 17 Dec 2014 12:26:29 -0500
Received: by mail-wi0-f173.google.com with SMTP id r20so16538600wiv.12;
 Wed, 17 Dec 2014 09:26:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:mime-version:to:cc:subject:references
 :in-reply-to:content-type:content-transfer-encoding;
 bh=jYGSAfSqoXSMtk7Ux95HuuBbZrCgflVJjIDR5hpa3u8=;
 b=CIxTpw2dviTBW0CKIejgOm79Bg7abGvK/P/nSuGYpMpV1HVsOiMuEJQYJrr/9/dhff
 QmaV9QGTFjGtUopeTownKLK47P8FtCeQ5rvmY++S267GO+flgHNpJsRbGXW0+aN+Ba8+
 1F9MBbfTMveixROnhR4FigFzLwrktD3jtK1WELWoVI3y7PYGqLezBUtlek2GcDu8gxk6
 LMGDn547PhTTi4yvIcvq6fiUTG4QxfWwx2aiQ09lgW9oL/stIKBElfCRKIkIDAn0v6fQ
 vEXABEtFI52a4h3PELo0usCg3vxlimyImjAW2uAzXV2iHJ/3WK3CQCvvcyPz6riF46J5
 OItA==
X-Received: by 10.194.201.137 with SMTP id ka9mr75823782wjc.66.1418837188123; 
 Wed, 17 Dec 2014 09:26:28 -0800 (PST)
Received: from [192.168.0.101]
 (host159-94-dynamic.7-79-r.retail.telecomitalia.it. [79.7.94.159])
 by mx.google.com with ESMTPSA id ck7sm5885002wjb.13.2014.12.17.09.26.25
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 17 Dec 2014 09:26:27 -0800 (PST)
Message-ID: <5491BCBF.3090302@HIDDEN>
Date: Wed, 17 Dec 2014 18:26:23 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: braga <Vittorio.Braga@HIDDEN>, 18998 <at> debbugs.gnu.org, 
 14601 <at> debbugs.gnu.org
Subject: Unexplained failure in test 't/install-info-dir.sh'
References: <2e5571b4863acd605727c5eb93a642c2@HIDDEN>
In-Reply-To: <2e5571b4863acd605727c5eb93a642c2@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: control
Cc: Elio Blanca <eblanca76@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

retitle 18998 Unexplained failure in test 't/install-info-dir.sh'
retitle 14601 Unexplained failure in test 't/install-info-dir.sh'
severity 14601 minor
severity 18998 minor
tags 14601 + moreinfo
tags 18998 + moreinfo
merge 14601 18998
stop

For the moment, I've tweaked the t/install-info-dir.sh test to make
it output more information that can be useful for debugging.  Could
you please re-run the test from the latest 'master' branch, see
whether it fails again (racily or reliably), and if so, get back to
us with the complete output?

Thanks,
   Stefano





Last modified: Wed, 17 Dec 2014 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.